/**
 * Gets the point between A and B
 * @param {{ x: number, y: number }} posA
 * @param {{ x: number, y: number }} posB
 * @returns {{ x: number, y: number }} the point between A and B
 */
export function getBetween(posA, posB) {
  return { x: (posA.x + posB.x) / 2, y: (posA.y + posB.y) / 2 };
}
