/**
 * Gets the distance between A and B
 * @param {{ x: number, y: number }} posA
 * @param {{ x: number, y: number }} posB
 * @returns {number} the distance between A and B
 */
export function getDistance(posA, posB) {
  const distanceX = Math.abs(posA.x - posB.x);
  const distanceY = Math.abs(posA.y - posB.y);
  return Math.max(distanceX, distanceY);
}
